org.springframework.web.method.annotation

## Class MethodArgumentConversionNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.beans.BeansException
          - - org.springframework.beans.PropertyAccessException
            - - org.springframework.beans.TypeMismatchException
              - - org.springframework.beans.ConversionNotSupportedException
                - - org.springframework.web.method.annotation.MethodArgumentConversionNotSupportedException

- All Implemented Interfaces:
    Serializable

      public class MethodArgumentConversionNotSupportedException
      extends ConversionNotSupportedException

  A ConversionNotSupportedException raised while resolving a method argument. Provides access to the target `MethodParameter`.
  Since:
    4.2
  Author:
    Rossen Stoyanchev
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.TypeMismatchException

      `ERROR_CODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodArgumentConversionNotSupportedException(Object value, Class<?> requiredType, String name, MethodParameter param, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Return the name of the method argument.
    `MethodParameter` | `getParameter()` Return the target method parameter.

    - ### Methods inherited from class org.springframework.beans.TypeMismatchException

      `getErrorCode, getPropertyName, getRequiredType, getValue, initPropertyName`

    - ### Methods inherited from class org.springframework.beans.PropertyAccessException

      `getPropertyChangeEvent`

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodArgumentConversionNotSupportedException

          public MethodArgumentConversionNotSupportedException(@Nullable
                                                               Object value,
                                                               @Nullable
                                                               Class<?> requiredType,
                                                               String name,
                                                               MethodParameter param,
                                                               Throwable cause)

  - ### Method Detail

    - #### getName

          public String getName()

      Return the name of the method argument.

    - #### getParameter

          public MethodParameter getParameter()

      Return the target method parameter.